Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.transform
Class Transformer

    java.lang.Object
      net.fortuna.ical4j.transform.Transformer

Direct Known Subclasses:
  PublishTransformer

    public abstract class Transformer

extends Object

Base class of calendar transformations.

Author:
  benfortuna

Constructor Summary
`Transformer()`

Method Summary
`abstract Calendar` | `transform(Calendar calendar)` Transforms the specified calendar according to the implementation of this method.
`Calendar` | `transform(Component component)` Transforms the specified component according to the transformer implementation.
`Calendar` | `wrap(Component component)` Wraps a component in a calendar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transformer

    public Transformer()

Method Detail

### wrap

    public final Calendar wrap(Component component)

  Wraps a component in a calendar.

  Parameters:
    `component` - the component to wrap with a calendar
  Returns:
    a calendar containing the specified component

### transform

    public abstract Calendar transform(Calendar calendar)

  Transforms the specified calendar according to the implementation of this method. By definition this method will modify the existing calendar instance and return it for convenience.

  Parameters:
    `calendar` - a calendar to transform
  Returns:
    a transformed calendar

### transform

    public final Calendar transform(Component component)

  Transforms the specified component according to the transformer implementation.

  Parameters:
    `component` - a component to transform
  Returns:
    a calendar containing the transformed component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.